Loading...
Searching...
No Matches
Opm::AutoICD Class Reference
Inheritance diagram for Opm::AutoICD:

## Public Member Functions

| AutoICD (const DeckRecord &record)
| AutoICD (const RestartIO::RstSegment &rstSegment)
bool | operator== (const AutoICD &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)
double | flowRateExponent () const
double | viscExponent () const
double | oilDensityExponent () const
double | waterDensityExponent () const
double | gasDensityExponent () const
double | oilViscExponent () const
double | waterViscExponent () const
double | gasViscExponent () const
double | densityExponent () const
Public Member Functions inherited from Opm::SICD
| SICD (const DeckRecord &record)
| SICD (const RestartIO::RstSegment &rstSegment)
| SICD (double strength, double length, double densityCalibration, double viscosityCalibration, double criticalValue, double widthTransitionRegion, double maxViscosityRatio, int methodFlowScaling, const std::optional< double > &maxAbsoluteRate, ICDStatus status, double scalingFactor)
const std::optional< double > & | maxAbsoluteRate () const
ICDStatus | status () const
double | strength () const
double | length () const
double | densityCalibration () const
double | viscosityCalibration () const
double | criticalValue () const
double | widthTransitionRegion () const
double | maxViscosityRatio () const
int | methodFlowScaling () const
void | updateScalingFactor (const double segment_length, const double completion_length)
double | scalingFactor () const
int | ecl_status () const
bool | operator== (const SICD &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static AutoICD | serializationTestObject ()
static std::map< std::string, std::vector< std::pair< int, AutoICD > > > | fromWSEGAICD (const DeckKeyword &wsegaicd)
Static Public Member Functions inherited from Opm::SICD
static SICD | serializationTestObject ()
static std::map< std::string, std::vector< std::pair< int, SICD > > > | fromWSEGSICD (const DeckKeyword &wsegsicd)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/MSW/AICD.hpp
- opm/input/eclipse/Schedule/MSW/AICD.cpp